# Uses of Enum Class
org.springframework.orm.jpa.vendor.Database

Packages that use Database
Package
Description
org.springframework.orm.jpa.vendor
Support classes for adapting to specific JPA vendors.

## Uses of Database in org.springframework.orm.jpa.vendor

Methods in org.springframework.orm.jpa.vendor that return Database
Modifier and Type
Method
Description
`protected Database`
AbstractJpaVendorAdapter.`getDatabase()`
Return the target database to operate on.
`static Database`
Database.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Database[]`
Database.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.orm.jpa.vendor with parameters of type Database
Modifier and Type
Method
Description
`protected Class<?>`
HibernateJpaVendorAdapter.`determineDatabaseDialectClass(Database database)`
Determine the Hibernate database dialect class for the given target database.
`protected String`
EclipseLinkJpaVendorAdapter.`determineTargetDatabaseName(Database database)`
Determine the EclipseLink target database name for the given database.
`void`
AbstractJpaVendorAdapter.`setDatabase(Database database)`
Specify the target database to operate on, as a value of the `Database` enum: DB2, DERBY, H2, HANA, HSQL, INFORMIX, MYSQL, ORACLE, POSTGRESQL, SQL_SERVER, SYBASE